Package org.gradle.tooling.model.cpp

# Interface CppComponent

All Known Subinterfaces:
  `CppApplication`, `CppLibrary`, `CppTestSuite`

public interface CppComponent
Represents a C++ component.

Since:
  4.10

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseName()`
  Returns the base name of this component.
  `DomainObjectSet<? extends CppBinary>`
  `getBinaries()`
  All binaries buildable for this component.
  `String`
  `getName()`
  Returns the name of this component.

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this component. This is used to disambiguate the component of a project. Each component has a unique name within its project. However, these names are not unique across multiple projects.

  - ### getBinaries

    DomainObjectSet<? extends CppBinary> getBinaries()
    All binaries buildable for this component. These will implement `CppExecutable`, `CppSharedLibrary` or `CppStaticLibrary`.

  - ### getBaseName

    String getBaseName()
    Returns the base name of this component.